FROM python:3.8.2-slim

ENV TZ Asia/Shanghai

ENV PATH /usr/local/bin:$PATH

WORKDIR /usr/local

COPY . .

RUN python -m pip install --force-reinstall https://github.com/yt-dlp/yt-dlp/archive/master.tar.gz && pip install Flask

EXPOSE 5000

ENTRYPOINT [ "sh", "start.sh" ]